local addonName, addon = ... 

local config = addon.config
local L = addon.language

SLASH_AKI1 = '/aki'
SLASH_AKI2 = '/AKI'
SlashCmdList['AKI'] = function(msg)
    local command, rest = msg:lower():match("^(%S*)%s*(.-)$")
	if command == "cfg" then
		InterfaceOptionsFrame_OpenToCategory("AkiTools")
		InterfaceOptionsFrame_OpenToCategory("AkiTools")
	
	elseif command=="setpet" then
		config.petID = C_PetJournal.GetSummonedPetGUID()
		print(L["setPet"]..C_PetJournal.GetBattlePetLink(config.petID))
		
	elseif command=="summonpet" then
		local p = C_PetJournal.GetSummonedPetGUID()
		if p ~= config.petID then
			C_PetJournal.SummonPetByGUID(config.petID)
		end
		
	elseif command=="ss" then
		local channel = "say"
		if rest == "g" then
			channel = "guild"
		elseif rest == "p" then
			channel = "party"
		elseif rest == "r" then
			channel = "raid"
		elseif rest == "y" then
			channel = "yell"
		end	
		addon:SendStats(channel)
		
	elseif command=="rq" then
		addon:QueryAttacking()
		
	elseif command=="setmsg" then
		config.inviteMsg = rest
		print(L["setMsg"].."["..config.inviteMsg.."]")
		
	elseif command=="showmsg" then
		print(L["showMsg"].."["..config.inviteMsg.."]")
		
	elseif command=="help" then
		print(L["help"])
		
	elseif command == "test" then
		print(L["test"])
	end
end