local addonName, addon = ...

addon.version = GetAddOnMetadata(addonName, 'Version')
addon.language = {}
setmetatable(addon.language, {__index = function(_, k) return k end})

addon.config = {
	version = 1.33,
	channel = "say",
	petID = "BattlePet-0-000003F68CBF",
	inviteMsg = "123",
	autoSell = true,
	announce = true,
	solo = { own = 'say', other = 'off' },
	instance = { own = 'say', other = 'self' },
	party = { own = 'say', other = 'self' },
	raid = { own = 'say', other = 'self' },
	soundOwn = '',
	soundOther = ''
}

addon.frame = CreateFrame('Frame', addonName .. 'Frame')
addon.frame:Hide()
addon.panel = CreateFrame('Frame', addonName .. 'Panel')
addon.panel:Hide()
addon.panel.name = addonName